Skip to content

upsertPickingListLine

WRITE

Upsert picking list line.

POST /api/v1/inventory/upsertPickingListLine
curl -X POST '<your-host>/api/v1/inventory/upsertPickingListLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pickingListId": "string",
    "jobId": "string",
    "jobMaterialId": "string",
    "itemId": "string",
    "quantityToPick": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1
min length 1
min 0.0001

Input schema

schema
{
  "type": "object",
  "properties": {
    "pickingListId": {
      "type": "string",
      "minLength": 1
    },
    "jobId": {
      "type": "string",
      "minLength": 1
    },
    "jobMaterialId": {
      "type": "string",
      "minLength": 1
    },
    "jobOperationId": {
      "type": "string"
    },
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "quantityToPick": {
      "type": "number",
      "minimum": 0.0001
    },
    "storageUnitId": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "pickingListId",
    "jobId",
    "jobMaterialId",
    "itemId",
    "quantityToPick",
    "_operation"
  ]
}